Bug 1283730 - Document procedure for rolling upgrades in Pacemaker
Document procedure for rolling upgrades in Pacemaker
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Cluster_General (Show other bugs)
6.8
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Steven J. Levine
ecs-bugs
: Documentation
Depends On: 1283727
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-19 11:52 EST by Steven J. Levine
Modified: 2017-03-22 15:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1283727
Environment:
Last Closed: 2017-03-22 15:09:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven J. Levine 2015-11-19 11:52:48 EST
This procedure should be in the Pacemaker document.

+++ This bug was initially created as a clone of Bug #1283727 +++

For Pacemaker, we need to provide the equivalent upgrade procedure that we provide for rgmanager in RHEL 6:

https://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Linux/6/html/Cluster_Administration/s1-install-clust-sw-CA.html
Comment 1 Steven J. Levine 2016-04-08 17:16:28 EDT
I have added a new appendix to the draft of the RHEL 6 pacemaker doc, that is included in this build:

Red_Hat_Enterprise_Linux-Configuring_the_Red_Hat_High_Availability_Add-On_with_Pacemaker-6-web-en-US-4.0-8.el6eng

When that appears on Brew I will send it to jrummy for review.
Comment 2 Steven J. Levine 2016-04-11 16:04:59 EDT
John:

I have added an appendix to the RHEL 6 Pacemaker documenty containing the information from a kbase article about performing rolling upgrades. Could you look this over to be sure it's correct?

http://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Linux/6/html/Configuring_the_Red_Hat_High_Availability_Add-On_with_Pacemaker/ap-rollingupgradeCA.html
Comment 3 John Ruemker 2016-04-14 14:01:19 EDT
Looks good, except for one typo:

> If you created any temporary location constraints were created when you moved any managed resources off the node, adjust or remove the contraints to allow resources to reaturn to their normally preferred locations.

Could probably be:

> If any temporary location constraints were created to move managed resources off the node, adjust or remove the contraints to allow resources to reaturn to their normally preferred locations.

If you have any way to notify me when this gets published, I'd like to update the portal article to simply point to this doc, rather than have them duplicate each other.  If you can't, then I'll just wait until I stumble across it at some point in the future and do it then :)  

Thanks
Comment 4 Steven J. Levine 2016-04-14 16:58:00 EDT
John:

This will go out at 6.8 GA -- I have a couple of things I need to do on GA (publish the SBD fencing article, for example) so I can try to remember to add this to the list, to let you know.

Steven

Note You need to log in before you can comment on or make changes to this bug.